Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Class AbstractAddon

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.phonon.AbstractAddon

All Implemented Interfaces:
  AbstractAddonInterface, com.trolltech.qt.QtJambiInterface

    public abstract class AbstractAddon

extends com.trolltech.qt.QtJambiObject
implements AbstractAddonInterface

This class is internal to Qt Jambi.This class is internal to Qt Jambi.

Nested Class Summary
`static class` | `AbstractAddon.AngleCommand` This class is internal to Qt Jambi.This class is internal to Qt Jambi.
`static class` | `AbstractAddon.ChapterCommand` This class is internal to Qt Jambi.This class is internal to Qt Jambi.
`static class` | `AbstractAddon.Interface` This class is internal to Qt Jambi.This class is internal to Qt Jambi.
`static class` | `AbstractAddon.NavigationCommand` This class is internal to Qt Jambi.This class is internal to Qt Jambi.
`static class` | `AbstractAddon.TitleCommand`

Nested classes/interfaces inherited from class com.trolltech.qt.QtJambiObject
`com.trolltech.qt.QtJambiObject.QPrivateConstructor`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`com.trolltech.qt.QSignalEmitter.AbstractSignal, com.trolltech.qt.QSignalEmitter.Signal0, com.trolltech.qt.QSignalEmitter.Signal1<A>, com.trolltech.qt.QSignalEmitter.Signal2<A,B>, com.trolltech.qt.QSignalEmitter.Signal3<A,B,C>, com.trolltech.qt.QSignalEmitter.Signal4<A,B,C,D>, com.trolltech.qt.QSignalEmitter.Signal5<A,B,C,D,E>, com.trolltech.qt.QSignalEmitter.Signal6<A,B,C,D,E,F>, com.trolltech.qt.QSignalEmitter.Signal7<A,B,C,D,E,F,G>, com.trolltech.qt.QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, com.trolltech.qt.QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`` | `AbstractAddon()` This method is internal to Qt Jambi.
`protected` | `AbstractAddon(com.trolltech.qt.QtJambiObject.QPrivateConstructor p)` This method is internal to Qt Jambi.

Method Summary
`long` | `__qt_cast_to_AbstractAddon(long ptr)` This method is internal to Qt Jambi.
`static AbstractAddon` | `fromNativePointer(com.trolltech.qt.QNativePointer nativePointer)` This method is internal to Qt Jambi.
`abstract boolean` | `hasInterface(AbstractAddon.Interface iface)` This method is internal to Qt Jambi.
`java.lang.Object` | `interfaceCall(AbstractAddon.Interface iface, int command)` This method is internal to Qt Jambi.
`abstract java.lang.Object` | `interfaceCall(AbstractAddon.Interface iface, int command, java.util.List<java.lang.Object> arguments)` This method is internal to Qt Jambi.

Methods inherited from class com.trolltech.qt.QtJambiObject
`disableGarbageCollection, dispose, disposed, equals, finalize, nativeId, nativePointer, reassignNativeResources, reenableGarbageCollection, setJavaOwnership, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`__qt_signalInitialization, blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### AbstractAddon

    public AbstractAddon()

  This method is internal to Qt Jambi.

### AbstractAddon

    protected AbstractAddon(com.trolltech.qt.QtJambiObject.QPrivateConstructor p)

  This method is internal to Qt Jambi.

Method Detail

### hasInterface

    public abstract boolean hasInterface(AbstractAddon.Interface iface)

  This method is internal to Qt Jambi.

  Specified by:
    `hasInterface` in interface `AbstractAddonInterface`

### interfaceCall

    public final java.lang.Object interfaceCall(AbstractAddon.Interface iface,
                                                int command)

  This method is internal to Qt Jambi.

### interfaceCall

    public abstract java.lang.Object interfaceCall(AbstractAddon.Interface iface,
                                                   int command,
                                                   java.util.List<java.lang.Object> arguments)

  This method is internal to Qt Jambi.

  Specified by:
    `interfaceCall` in interface `AbstractAddonInterface`

### fromNativePointer

    public static AbstractAddon fromNativePointer(com.trolltech.qt.QNativePointer nativePointer)

  This method is internal to Qt Jambi.

### __qt_cast_to_AbstractAddon

    public long __qt_cast_to_AbstractAddon(long ptr)

  This method is internal to Qt Jambi.

  Specified by:
    `__qt_cast_to_AbstractAddon` in interface `AbstractAddonInterface`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD